Skip to main content

Retrieve a DocumentDB backup

Returns a representation of the specified DocumentDB backup.

Path Parameters
  • backup_id string required

    Performs the operation on the backup with the specified ID.

Responses

Success


Schema
  • account_native_id string

    The AWS-assigned ID of the account associated with this database at the time of backup.

  • aws_azs string[]

    The AWS availability zones associated with this database at the time of backup.

  • aws_region string

    The AWS region associated with this environment.

  • database_native_id string

    The AWS-assigned ID of the database at the time of backup.

  • engine string

    The AWS database engine at the time of backup.

  • engine_version string

    The aws database engine version at the time of backup.

  • expiration_timestamp string

    The timestamp of when this backup expires. Represented in RFC-3339 format.

  • id string

    The Clumio-assigned ID of the backup.

  • instances object[]

    The instances associated with a backup RDS resource.

  • class string

    The class of the RDS instance at the time of backup. Possible values include db.r5.2xlarge and db.t2.small. For a full list of possible values, refer to the Amazon documentation at https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/Concepts.DBInstanceClass.html.

  • is_publicly_accessible boolean

    Determines whether the RDS instance had a public IP address in addition to the private IP address at the time of backup. For more information about the public access option, refer to the Amazon documentation at https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/USER_VPC.WorkingWithRDSInstanceinaVPC.html.

  • name string

    The AWS-assigned name of the RDS instance at the time of backup.

  • kms_key_native_id string

    The AWS-assigned ID of the KMS key associated with this database at the time of backup.

  • migration_timestamp string

    The timestamp of when the migration was triggered. This field will be set only for migration granular backups. Represented in RFC-3339 format.

  • option_group_name string

    Option group name associated with the backed up RDS resource.

  • parameter_group_name string

    Parameter group name associated with the backed up RDS resource.

  • resource_id string

    The Clumio-assigned ID of the database associated with this backup.

  • resource_type string

    The type of the RDS resource associated with this backup. Possible values include aws_rds_cluster and aws_rds_instance.

  • security_group_native_ids string[]

    The AWS-assigned IDs of the security groups associated with this RDS resource backup.

  • size int64

    The size of the RDS resource backup. Measured in bytes (B).

  • start_timestamp string

    The timestamp of when this backup started. Represented in RFC-3339 format.

  • subnet_group_name string

    The AWS-assigned name of the subnet group associated with this RDS resource backup.

  • tags object[]

    The AWS tags associated with the database at the time of backup.

  • key string

    The AWS-assigned tag key.

  • value string

    The AWS-assigned tag value.

  • type string

    The type of backup. Possible values include clumio_snapshot and granular_backup.

Loading...